{ config, ... }:

let
  sources = import ./sources/sources.nix;
in {
  imports = [
    # secrets
    "${sources.agenix}/modules/age.nix"
    ./../secrets

    ./base/common-config.nix
    ./platforms
    ./modules
  ];

  # TODO(eyJhb): why is the commented line a infinite recurssion
  mine.settings.domain_tld = "dk";
  mine.settings.domain_sld = "fricloud";
  # mine.settings.domain = "${config.mine.settings.domain_sld}.${config.mine.settings.domain_tld}";
  mine.settings.domain = "fricloud.dk";
}
